<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Nps extends Model
{
    use HasFactory;

    protected $table = "nps";
    protected $fillable = [
        'nps', 
        'finalidade',
        'prazo_execucao',
        'cliente',
        'logradouro',
        'bairro',
        'municipio',
        'alimentador', 
        'chave', 
        'circuito', 
        'projeto', 
        'previsto', 
        'id_user',
        'status',
        'cidade',
        'quemabre',
        'reserva',
        'observacao'
    ];

    public function comunicado_inicio_obra()
    {
        return $this->hasOne(comunicadoInicioObra::class, 'id_nps' );
    }

    public function solicitacao_desligamento()
    {
        return $this->hasMany(solicitacaoDesligamento::class, 'id_nps');
    }

    public function solicitacao_bloqueio()
    {
        return $this->hasMany(solicitacaoBloqueio::class, 'id_nps');
    }

    public function comunicado_conclusao_obra()
    {
        return $this->hasOne(comunicadoConclusaoObra::class);
    }

    public function historico()
    {
        return $this->hasMany(historicoNps::class, 'id_nps');
    }

    public function pdf(){
        return $this->hasOne(pdfNps::class, 'nps_id');
    }
}
